<?php

namespace App\Controller;

use App\Forms\UploadFileForm;
use App\Service\FileSystemService;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class HomeController extends AbstractController
{
    #[Route(
        path: '/files/{dirs?}',
        name: 'app_home',
        requirements: ['dirs' => '.+'],
        defaults: ['dirs' => ''],
        methods: [Request::METHOD_GET]
    )]
    public function __invoke(FileSystemService $fileSystemService, string $dirs): Response
    {
        return $this->render('home.html.twig', [
            'content' => $fileSystemService->getDirs($dirs),
            'fileForm' => $this->createForm(UploadFileForm::class),
        ]);
    }
}